JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
const verifications = await client.verifications.list({ account_id: 'account_id' });
console.log(verifications.data);curl --request GET \
--url https://api.whop.com/api/v1/verifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.whop.com/api/v1/verifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"data": [
{
"address": {
"city": "Austin",
"country": "US",
"line1": "4180 Burnet Rd",
"line2": "Suite 2",
"postal_code": "78756",
"state": "TX"
},
"business_name": "Shine Time Auto Detailing, LLC",
"business_structure": "sole_proprietorship",
"country": "US",
"created_at": "2026-06-01T12:00:00.000Z",
"date_of_birth": "1990-01-01",
"email": "marcus@shinetime.example",
"first_name": "Marcus",
"id": "idpf_xxxxxxxxxxxx",
"kind": "individual",
"last_name": "Webb",
"phone": "+15551234567",
"requested_information": [
{
"id": "inrqi_xxxxxxxxxxx",
"label": "Bank Statement or a check for account ending in 4242",
"requirement": "bank_statement",
"type": "files",
"errors": [
{
"code": "document_not_readable",
"reason": "The uploaded image was too blurry to read."
}
],
"optional": true,
"options": [
"sole_proprietorship"
]
}
],
"required_documents": [
{
"document": "id_card_front",
"rejection_reason": "Document image was too blurry to read.",
"status": "submitted"
}
],
"session_url": "https://sumsub.com/session/abc",
"status": "action_required",
"updated_at": "2026-06-02T12:00:00.000Z"
}
]
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}{
"error": {
"message": "account_id is required",
"type": "bad_request",
"code": "<string>"
}
}Verifications
List Verifications
Returns verifications for an account, including their status and any required actions.
GET
/
verifications
JavaScript
import Whop from '@whop/sdk';
const client = new Whop({
apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});
const verifications = await client.verifications.list({ account_id: 'account_id' });
console.log(verifications.data);Authorizations
An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.
Headers
Pins the request to a dated API version.
Example:
"2026-08-13"
Query Parameters
Account or user ID whose verifications you want to list. Use a biz_ account ID, or the caller's user_ ID for personal verifications.
Field used to sort returned verifications.
Available options:
updated_at, created_at Sort direction for returned verifications.
Available options:
asc, desc Response
OK
Show child attributes
Show child attributes
⌘I

